<%@ page import="org.wso2.carbon.mediation.configadmin.ui.ConfigManagementClient" %>
<%@ page import="org.wso2.carbon.mediation.configadmin.ui.ResponseInformation" %>
<%@ page import="java.util.ResourceBundle" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<script type="text/javascript" src="global-params.js"></script>
<script type="text/javascript" src="configcommon.js"></script>

<script src="../editarea/edit_area_full.js" type="text/javascript"></script>

<!--Yahoo includes for dom event handling-->
<script src="../yui/build/yahoo-dom-event/yahoo-dom-event.js" type="text/javascript"></script>

<script type="text/javascript">
    editAreaLoader.init({
        id : "rawConfig"		// textarea id
        ,syntax: "xml"			// syntax to be uses for highgliting
        ,start_highlight: true		// to display with highlight mode on start-up
    });
</script>


<fmt:bundle basename="org.wso2.carbon.mediation.configadmin.ui.i18n.Resources">
    <carbon:jsi18n
            resourceBundle="org.wso2.carbon.mediation.configadmin.ui.i18n.JSResources"
            request="<%=request%>" i18nObjectName="configjsi18n"/>
    <carbon:breadcrumb resourceBundle="org.wso2.carbon.mediation.configadmin.ui.i18n.Resources"
                       topPage="false" label="manage.synapse.config" request="<%=request%>"/>

    <%
        String status = request.getParameter("status");
        ResourceBundle bundle = ResourceBundle.getBundle("org.wso2.carbon.mediation.configadmin.ui.i18n.Resources",
            request.getLocale());

        if ("updated".equals(status)) {
    %>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            CARBON.showInfoDialog('<%=bundle.getString("configuration.updated.successfully")%>');
        });
    </script>
    <%
        } else if ("updateFailed".equals(status)) {
    %>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            CARBON.showErrorDialog('<%=bundle.getString("failed.to.update.configuration")%>');
        });
    </script>
    <%
        }
    %>

<div id="middle">
<h2><fmt:message key="manage.synapse.config"/></h2>

<div id="workArea">
    <%
        ConfigManagementClient client = null;
        try {
            client = ConfigManagementClient.getInstance(config, session);

            ResponseInformation responseInformation = client.getConfiguration(session);
            if (!responseInformation.isFault()) {
                String synapseConf = (String) responseInformation.getResult();
                if (synapseConf != null) {
                    synapseConf = synapseConf.trim().replace("&", "&amp;");
                } else {
                    synapseConf = "";
                }

    %>
    <form method="post" name="configform" id="configform"
          action="saveconfig.jsp">
        <div id="saveConfiguration">
                <span style="margin-top:10px;margin-bottom:10px; display:block;_margin-top:0px;"><fmt:message
                        key="save.advice"/></span>

        </div>

        <table class="styledLeft" style="width:100%">
            <thead>
                <tr>
                    <th>
                        <fmt:message key="current.configuration"/>
                    </th>
                </tr>
            </thead>
            <tr>
                <td class="formRow">
                    <table class="normal" style="width:100%">
                        <tr>
                            <td id="rawConfigTD">
                                <textarea name="rawConfig" id="rawConfig" style="border:solid 1px #cccccc; width: 99%; height: 400px; margin-top:5px;"><%=synapseConf.trim()%></textarea>                                
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td class="buttonRow">
                    <input name="updateConfig" type="button"
                           class="button"
                           value="<fmt:message key="update"/>"
                           onclick="updateConfiguration(document.configform);return false;"
                           title="Apply manual changes"/>
                    <input name="resetConfig" type="reset" class="button"
                           value="<fmt:message key="reset"/>"
                           onclick="resetConfiguration();"/>
                    <input type="hidden" name="actionType" id="actionType"
                           value=""/>
                </td>
            </tr>
        </table>
            <%
                } else {
            %>

        <script type="text/javascript">
            jQuery(document).ready(function() {
                CARBON.showErrorDialog("<%=bundle.getString("error.getting.configuration")%>" +
                                       "<%=responseInformation.getMessage()%>");
            });
        </script>

            <%
                    }
                } catch (Exception e) {
            %>

        <script type="text/javascript">
            jQuery(document).ready(function() {
                CARBON.showErrorDialog("<%=bundle.getString("error.getting.configuration")%>" +
                                       "<%=e.getMessage()%>");
            });
        </script>

            <%
                }
            %>
</div>
</div>
</fmt:bundle>
